[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'CustomDrawnDrawers' (#lcl)

# TCDEditStateEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: customdrawndrawers.pas line 154

`type TCDEditStateEx = class(TCDControlStateEx)`
`public`
`CaretIsVisible: Boolean;` |  |
`CaretPos: TPoint;` |  |
`SelStart: TPoint;` |  |
`SelLength: Integer;` |  |
`VisibleTextStart: TPoint;` |  |
`EventArrived: Boolean;` |  |
`MultiLine: Boolean;`
`Lines: TStrings;`
`FullyVisibleLinesCount: Integer;`
`LineHeight: Integer;`
`PasswordChar: Char;`
`LeftTextMargin: Integer;` |  |
`RightTextMargin: Integer;` |  |
`ExtraButtonState: TCDControlState;`
`end;`

## Inheritance

`TCDEditStateEx` |  |
`TCDControlStateEx` |  |
`TObject`